/2025-07/retail-media/accounts/{account-id}/audiences/search
curl --request POST \
--url https://api.criteo.com/2025-07/retail-media/accounts/{account-id}/audiences/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"audienceIds": [
"<string>"
],
"audienceSegmentIds": [
"<string>"
],
"retailerIds": [
"<string>"
]
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2025-07/retail-media/accounts/{account-id}/audiences/search"
payload = { "data": {
"attributes": {
"audienceIds": ["<string>"],
"audienceSegmentIds": ["<string>"],
"retailerIds": ["<string>"]
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
audienceIds: ['<string>'],
audienceSegmentIds: ['<string>'],
retailerIds: ['<string>']
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/2025-07/retail-media/accounts/{account-id}/audiences/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"accountId": "<string>",
"algebra": {
"and": "<array>",
"audienceSegmentId": "<string>",
"not": "<unknown>",
"or": "<array>"
},
"channels": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"description": "<string>",
"name": "<string>",
"retailerId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"meta": {
"limit": 123,
"offset": 123,
"totalItems": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-07/retail-media/accounts/{account-id}/audiences/search
Returns a list of audiences that match the provided filters. If present, the filters are AND’ed together when applied.
POST
/
2025-07
/
retail-media
/
accounts
/
{account-id}
/
audiences
/
search
/2025-07/retail-media/accounts/{account-id}/audiences/search
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account Id
Query Parameters
The number of elements to be returned. The default is 50 and the maximum is 500.
Required range:
0 <= x <= 500The (zero-based) offset into the collection. The default is 0.
Body
application/json
Audience search filters.
A top-level object that encapsulates a Criteo API request for a single value.
A top-level object that encapsulates a Criteo API response for a single value
Show child attributes
Show child attributes
Response
200 - application/json
Success or partial success
A top-level object that encapsulates a Criteo API response for several entities and metadata
Was this page helpful?
/2025-07/retail-media/accounts/{account-id}/audience-segments/search
Previous
/2025-07/retail-media/audience-segments/{audience-segment-id}/contact-list/add-remove
Next
⌘I